<?php

/**
 * @file
 * Hooks provided by the Entity Share module.
 */

/**
 * @addtogroup hooks
 * @{
 */

/**
 * Alter the export field data in order to manage specific field type contents.
 *
 * @param string $field_data
 *   The value of the field.
 * @param array $context
 *   The context of execution.
 *   - "field_name": the field name.
 *   - "field_type": the field type (text, field_collection, ...).
 *   - "lang": the language of the value.
 *   - "entity": the entity.
 *   - "field_info": the field info from field_info_field.
 */
function hook_es_export_field_data_alter(&$field_data, array $context) {
}

/**
 * Alter the import field data in order to manage specific field type contents.
 *
 * @param string $field_data
 *   The value of the field.
 * @param array $context
 *   The context of execution.
 *   - "field_name": the field name.
 *   - "field_type": the field type (text, field_collection, ...).
 *   - "lang": the language of the value.
 *   - "entity": the entity.
 *   - "field_info": the field info from field_info_field.
 */
function hook_es_import_field_data_alter(&$field_data, array $context) {
}

/**
 * Alter the entity to import with local ids.
 *
 * @param object $entity
 *   The entity to import.
 * @param array $context
 *   The context of execution.
 *   - "entity_info": the entity metadata infos.
 *   - "entity_id_info": The local entity ids infos.
 */
function hook_es_import_local_entities(&$entity, array $context) {
}

/**
 * Alter the options of the http request.
 *
 * @param array $options
 *   The curl options.
 */
function hook_es_client_call_options_alter(array &$options) {
}

/**
 * @} End of "addtogroup hooks".
 */
