<?php

/**
 * @file
 * Entity Share Server administration and module settings UI.
 */

// Required for variable name of IPs config.
module_load_include('inc', 'entity_share_server', 'includes/entity_share_server.rest.abstract');

/**
 * Form of the server configuration.
 *
 * @return array
 *   The form array to render.
 */
function entity_share_admin_config_server() {
  drupal_set_title(t('Entity Share Server - Security'));

  $form = array();
  $form['entity_share_config_server'][EntityShareServerRestAbstract::IP_RESTRICTED_VARIABLE] = array(
    '#type' => 'textarea',
    '#title' => t('IP Restricted List'),
    '#description' => t('The list of IPs allowed to access the server API. Use a new line for each IP.'),
    '#default_value' => implode("\n", variable_get(EntityShareServerRestAbstract::IP_RESTRICTED_VARIABLE, array())),
    '#required' => TRUE,
  );

  $form['#submit'][] = '_entity_share_config_server_form_submit';

  $form = system_settings_form($form);

  return $form;
}

/**
 * Do a pre treatment to format the data before saving.
 *
 * @param array $form
 *   The form array.
 * @param array $form_state
 *   The form state.
 */
function _entity_share_config_server_form_submit(array $form, array &$form_state) {
  $varname = EntityShareServerRestAbstract::IP_RESTRICTED_VARIABLE;
  $allowed_ips = array_unique(explode("\n", $form_state['values'][$varname]));
  $allowed_ips = array_map('trim', $allowed_ips);
  $form_state['values'][$varname] = $allowed_ips;
}
